#include <iostream>

using namespace std;

int main ()
{
	string t,s;
	cin>>t>>s;
	int brojac=0;
	int i=0;
	for(int i=0;i<t.length();i++)
    {
        if(t[i]=='a')
        {
            brojac++;
        }
    }
    brojac-=(s.length()-1);
    while(brojac!=0)
    {
        if(t[i]=='a')
        {
            t[i]='*';
            brojac--;
        }
        i++;
    }
    cout<<t<<endl;
	return 0;
}